# Interface IMenuItemComponent

interface IMenuItemComponent {
addChild(component): void;
addClass(...classesToAdd): void;
blur(): void;
disable(): void;
dispose(): void;
enable(): void;
focus(): void;
getAllChildren(): UiComponent[];
getAttribute(attribute): null | string;
getChild(child): null | UiComponent;
getComponentName(): string;
getComputedHeight(): number;
getComputedWidth(): number;
getControlText(): string;
getDOMElement(): null | Element;
getHeight(): number;
getWidth(): number;
handleClick(): void;
hasClass(value): boolean;
hide(): void;
removeAttribute(attribute): void;
removeChild(child): void;
removeClass(...classesToRemove): void;
selectItem(): void;
setAttribute(attribute, value): void;
setControlText(text): void;
setHeight(value): void;
setWidth(value): void;
show(): void;
unselectItem(): void;
}

#### Hierarchy (view full)

- IClickableComponent
  - IMenuItemComponent

#####
Index

### Methods

addChild
addClass
blur
disable
dispose
enable
focus
getAllChildren
getAttribute
getChild
getComponentName
getComputedHeight
getComputedWidth
getControlText
getDOMElement
getHeight
getWidth
handleClick
hasClass
hide
removeAttribute
removeChild
removeClass
selectItem
setAttribute
setControlText
setHeight
setWidth
show
unselectItem

## Methods

### addChild

- addChild(component): void

- #### Parameters

  - component: UiComponent

  #### Returns void

  Inherited from IClickableComponent.addChild

### addClass

- addClass(...classesToAdd): void

- #### Parameters

  - `Rest` ...classesToAdd: string[]

  #### Returns void

  Inherited from IClickableComponent.addClass

### blur

- blur(): void

- #### Returns void

  Inherited from IClickableComponent.blur

### disable

- disable(): void

- #### Returns void

  Inherited from IClickableComponent.disable

### dispose

- dispose(): void

- #### Returns void

  Inherited from IClickableComponent.dispose

### enable

- enable(): void

- #### Returns void

  Inherited from IClickableComponent.enable

### focus

- focus(): void

- #### Returns void

  Inherited from IClickableComponent.focus

### getAllChildren

- getAllChildren(): UiComponent[]

- #### Returns UiComponent[]

  Inherited from IClickableComponent.getAllChildren

### getAttribute

- getAttribute(attribute): null | string

- #### Parameters

  - attribute: string

  #### Returns null | string

  Inherited from IClickableComponent.getAttribute

### getChild

- getChild(child): null | UiComponent

- #### Parameters

  - child: string

  #### Returns null | UiComponent

  Inherited from IClickableComponent.getChild

### getComponentName

- getComponentName(): string

- #### Returns string

  Inherited from IClickableComponent.getComponentName

### getComputedHeight

- getComputedHeight(): number

- #### Returns number

  Inherited from IClickableComponent.getComputedHeight

### getComputedWidth

- getComputedWidth(): number

- #### Returns number

  Inherited from IClickableComponent.getComputedWidth

### getControlText

- getControlText(): string

- #### Returns string

  Inherited from IClickableComponent.getControlText

### getDOMElement

- getDOMElement(): null | Element

- #### Returns null | Element

  Inherited from IClickableComponent.getDOMElement

### getHeight

- getHeight(): number

- #### Returns number

  Inherited from IClickableComponent.getHeight

### getWidth

- getWidth(): number

- #### Returns number

  Inherited from IClickableComponent.getWidth

### handleClick

- handleClick(): void

- #### Returns void

  Inherited from IClickableComponent.handleClick

### hasClass

- hasClass(value): boolean

- #### Parameters

  - value: string

  #### Returns boolean

  Inherited from IClickableComponent.hasClass

### hide

- hide(): void

- #### Returns void

  Inherited from IClickableComponent.hide

### removeAttribute

- removeAttribute(attribute): void

- #### Parameters

  - attribute: string

  #### Returns void

  Inherited from IClickableComponent.removeAttribute

### removeChild

- removeChild(child): void

- #### Parameters

  - child: string

  #### Returns void

  Inherited from IClickableComponent.removeChild

### removeClass

- removeClass(...classesToRemove): void

- #### Parameters

  - `Rest` ...classesToRemove: string[]

  #### Returns void

  Inherited from IClickableComponent.removeClass

### selectItem

- selectItem(): void

- #### Returns void

### setAttribute

- setAttribute(attribute, value): void

- #### Parameters

  - attribute: string
  - value: string

  #### Returns void

  Inherited from IClickableComponent.setAttribute

### setControlText

- setControlText(text): void

- #### Parameters

  - text: string

  #### Returns void

  Inherited from IClickableComponent.setControlText

### setHeight

- setHeight(value): void

- #### Parameters

  - value: number

  #### Returns void

  Inherited from IClickableComponent.setHeight

### setWidth

- setWidth(value): void

- #### Parameters

  - value: number

  #### Returns void

  Inherited from IClickableComponent.setWidth

### show

- show(): void

- #### Returns void

  Inherited from IClickableComponent.show

### unselectItem

- unselectItem(): void

- #### Returns void